import express from "express";
import {
	createAcademicsResearch,
	getAcademicsResearch,
	getSingleAcademicsResearch,
	deleteAcademicsResearch,
} from "../controllers/academicsResearch.controller.js";

import jwtAuthMiddleware from "../middleware/auth.js";

const router = express.Router();

router.post("/", createAcademicsResearch);
router.get("/getAll", jwtAuthMiddleware, getAcademicsResearch);
router.get("/:id", jwtAuthMiddleware, getSingleAcademicsResearch);
router.delete("/:id", jwtAuthMiddleware, deleteAcademicsResearch);

export default router;
